@use "../functions" as core-functions;


@mixin auto-grid() {
	display: grid;
	width: 100%;
	gap: core-functions.grid-gap();
	grid-auto-columns: minmax(0, 1fr);
  	grid-auto-flow: column;
}


@mixin visually-hidden() {
	visibility: hidden;
	position: absolute;
	top: 0;
	left: 0;
	width: 1px;
	height: 1px;
	pointer-events: none;
}


@mixin text-ellipsis($lines: 1) {
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: initial;
	display: -webkit-box;
	-webkit-line-clamp: $lines;
	-webkit-box-orient: vertical;
}
